Skip to main content
GET
/
api
/
sol
/
platform
/
pnl-summary
Aggregate PnL statistics
curl --request GET \
  --url 'https://uk.raze.sh/api/sol/platform/pnl-summary?apiKey='
{
  "success": true,
  "period": "daily",
  "platform": "<string>",
  "totalProfitableWallets": 123,
  "totalPnlSol": 123,
  "totalPnlUsd": 123,
  "avgPnlSol": 123,
  "avgPnlUsd": 123,
  "medianPnlSol": 123,
  "medianPnlUsd": 123,
  "p90PnlSol": 123,
  "p90PnlUsd": 123,
  "p99PnlSol": 123,
  "p99PnlUsd": 123,
  "maxPnlSol": 123,
  "maxPnlUsd": 123,
  "solPriceUsd": 123,
  "timestamp": "2023-11-07T05:31:56Z"
}

Authorizations

apiKey
string
query
required

Query Parameters

period
enum<string>
default:daily

Time period to aggregate over

Available options:
daily,
weekly,
monthly
platform
string

Optional DEX platform filter (e.g. pumpfun, raydiumv4, orca, meteoradlmm, pumpswap). Omit for global stats.

Response

Success

success
boolean
period
enum<string>
Available options:
daily,
weekly,
monthly
platform
string

DEX platform filter applied, or "all" if unfiltered

totalProfitableWallets
integer

Total number of wallets with positive PnL

totalPnlSol
number
totalPnlUsd
number
avgPnlSol
number
avgPnlUsd
number
medianPnlSol
number
medianPnlUsd
number
p90PnlSol
number

90th percentile PnL threshold in SOL

p90PnlUsd
number
p99PnlSol
number

99th percentile PnL threshold in SOL

p99PnlUsd
number
maxPnlSol
number
maxPnlUsd
number
solPriceUsd
number
timestamp
string<date-time>